Configuration (base API)
Date: 2019-04-05

com.twosigma.beakerx.jvm.object

## Class Configuration

- java.lang.Object
- - com.twosigma.beakerx.jvm.object.Configuration

-     public class Configuration
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Configuration(com.twosigma.beakerx.jvm.threads.BeakerInputHandler stdin, com.twosigma.beakerx.jvm.threads.BeakerOutputHandler stdout, com.twosigma.beakerx.jvm.threads.BeakerOutputHandler stderr, com.twosigma.beakerx.kernel.threads.ResultSender resultSender, com.twosigma.beakerx.message.Message message, int executionCount)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `int` | `getExecutionCount()`
    `com.twosigma.beakerx.message.Message` | `getMessage()`
    `com.twosigma.beakerx.kernel.threads.ResultSender` | `getResultSender()`
    `com.twosigma.beakerx.jvm.threads.BeakerOutputHandler` | `getStderr()`
    `com.twosigma.beakerx.jvm.threads.BeakerInputHandler` | `getStdin()`
    `com.twosigma.beakerx.jvm.threads.BeakerOutputHandler` | `getStdout()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Configuration

          public Configuration(com.twosigma.beakerx.jvm.threads.BeakerInputHandler stdin,
                               com.twosigma.beakerx.jvm.threads.BeakerOutputHandler stdout,
                               com.twosigma.beakerx.jvm.threads.BeakerOutputHandler stderr,
                               com.twosigma.beakerx.kernel.threads.ResultSender resultSender,
                               com.twosigma.beakerx.message.Message message,
                               int executionCount)

  - ### Method Detail

    - #### getStdout

          public com.twosigma.beakerx.jvm.threads.BeakerOutputHandler getStdout()

    - #### getStderr

          public com.twosigma.beakerx.jvm.threads.BeakerOutputHandler getStderr()

    - #### getMessage

          public com.twosigma.beakerx.message.Message getMessage()

    - #### getExecutionCount

          public int getExecutionCount()

    - #### getStdin

          public com.twosigma.beakerx.jvm.threads.BeakerInputHandler getStdin()

    - #### getResultSender

          public com.twosigma.beakerx.kernel.threads.ResultSender getResultSender()

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`